commit:     21f0e2360fb5aae1755c70af6edb17e84b6b7988
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 23 14:50:30 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jul 23 14:53:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21f0e236

net-ftp/filezilla: Bump to version 3.35.1

Package-Manager: Portage-2.3.43, Repoman-2.3.10

 net-ftp/filezilla/Manifest                     |  1 +
 net-ftp/filezilla/filezilla-3.35.1-r300.ebuild | 76 ++++++++++++++++++++++++++
 net-ftp/filezilla/filezilla-3.35.1.ebuild      | 76 ++++++++++++++++++++++++++
 3 files changed, 153 insertions(+)

diff --git a/net-ftp/filezilla/Manifest b/net-ftp/filezilla/Manifest
index b27d0290f5f..dd74c17caaa 100644
--- a/net-ftp/filezilla/Manifest
+++ b/net-ftp/filezilla/Manifest
@@ -1,3 +1,4 @@
 DIST FileZilla_3.25.2_src.tar.bz2 4712781 BLAKE2B 
c4e346442596eb2c1c7f5b541dc1386be5be13a3564187d5d7f275b5e1223cf1c95e11e27120c98276ea550d0b1c65122ffd62b5471a886faf1ebea0ab217522
 SHA512 
6c6feeec0b1bd15ff2c3fecbec22bca9c79f4263e0d1855c6d27a3df54128cfd837f0a546d1540b87b4645e620b57961b8ac0f01bd52748832f5625139c39764
 DIST FileZilla_3.33.0_src.tar.bz2 4862360 BLAKE2B 
c0a5b4c1f749eacd95fe3769daa222f60e916a41430260a8816aca60c7ffe07e46c0fb1594d7fe84406185260d937290a0f736b0f408e9132b1a525ed8e7c58e
 SHA512 
9499ea28aa1cdc29d5dcb81fe328b288bed76c4f9fdd5e4bdb7824f6328b9d58ba9274401de7d8321abab4642839c70cdbb9995d86acaed0c4f6a6b582f99ff0
 DIST FileZilla_3.34.0_src.tar.bz2 4869893 BLAKE2B 
43f017a833191126526195636607b7ba4ebc73859f48745126ddd284940da90d692e0bf2373096f5262e6ebe2e6655d9cf2dbbf4b0aa6299730f47b1f04c63e8
 SHA512 
577118bd053c3aedbe77082b138c30abc6a759b20ea905abc4e9bef965cbca3cf73023186c389ded7d906b7cf76e4f3d4462c00fae62c7b1ae695ad171c88764
+DIST FileZilla_3.35.1_src.tar.bz2 4963273 BLAKE2B 
dd7a30bf6916d7b2a6db0733856c8241a5363f40e8d089975a06a683b13c32dbad6fd009a3ec526d9f0c7f4268e277576a5eac878b55f4f5ddd43ebb563d6632
 SHA512 
e039a00ac64b6d1b99f50a5f94268a7e11c839e75465f76ff865700071aa0ee7733c89a5f5b8e16ef5deb3cd1b30873b48c3c8a42a73ed9a6b6a05e3e35cf2a1

diff --git a/net-ftp/filezilla/filezilla-3.35.1-r300.ebuild 
b/net-ftp/filezilla/filezilla-3.35.1-r300.ebuild
new file mode 100644
index 00000000000..46fa5c03397
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.35.1-r300.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER="3.0-gtk3"
+
+inherit autotools eutils flag-o-matic gnome2-utils multilib wxwidgets
+
+MY_PV=${PV/_/-}
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive 
interface"
+HOMEPAGE="https://filezilla-project.org/";
+SRC_URI="https://dl2.cdn.filezilla-project.org/client/${MY_P}_src.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="dbus nls test"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
+       >=dev-libs/nettle-3.1:=
+       >=dev-db/sqlite-3.7
+       >=dev-libs/libfilezilla-0.13.0
+       >=dev-libs/pugixml-1.7
+       net-dns/libidn:=
+       >=net-libs/gnutls-3.4.15
+       >=x11-libs/wxGTK-3.0.4:${WX_GTK_VER}[X]
+       x11-misc/xdg-utils
+       dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       >=sys-devel/libtool-1.4
+       nls? ( >=sys-devel/gettext-0.11 )
+       test? ( >=dev-util/cppunit-1.13.0 )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+DOCS=(AUTHORS ChangeLog NEWS )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.22.1-debug.patch
+)
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]]; then
+               if ! test-flag-CXX -std=c++14; then
+                       eerror "${P} requires C++14-capable C++ compiler. Your 
current compiler"
+                       eerror "does not seem to support -std=c++14 option. 
Please upgrade your compiler"
+                       eerror "to gcc-4.9 or an equivalent version supporting 
C++14."
+                       die "Currently active compiler does not support 
-std=c++14"
+               fi
+       fi
+}
+
+src_prepare() {
+       setup-wxwidgets
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_with dbus) $(use_enable nls locales) \
+               --with-pugixml=system \
+               --disable-autoupdatecheck
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

diff --git a/net-ftp/filezilla/filezilla-3.35.1.ebuild 
b/net-ftp/filezilla/filezilla-3.35.1.ebuild
new file mode 100644
index 00000000000..20c41eba80b
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.35.1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER="3.0"
+
+inherit autotools eutils flag-o-matic gnome2-utils multilib wxwidgets
+
+MY_PV=${PV/_/-}
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive 
interface"
+HOMEPAGE="https://filezilla-project.org/";
+SRC_URI="https://dl2.cdn.filezilla-project.org/client/${MY_P}_src.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="dbus nls test"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
+       >=dev-libs/nettle-3.1:=
+       >=dev-db/sqlite-3.7
+       >=dev-libs/libfilezilla-0.13.0
+       >=dev-libs/pugixml-1.7
+       net-dns/libidn:=
+       >=net-libs/gnutls-3.4.15
+       >=x11-libs/wxGTK-3.0.4:${WX_GTK_VER}[X]
+       x11-misc/xdg-utils
+       dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       >=sys-devel/libtool-1.4
+       nls? ( >=sys-devel/gettext-0.11 )
+       test? ( >=dev-util/cppunit-1.13.0 )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+DOCS=(AUTHORS ChangeLog NEWS )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.22.1-debug.patch
+)
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]]; then
+               if ! test-flag-CXX -std=c++14; then
+                       eerror "${P} requires C++14-capable C++ compiler. Your 
current compiler"
+                       eerror "does not seem to support -std=c++14 option. 
Please upgrade your compiler"
+                       eerror "to gcc-4.9 or an equivalent version supporting 
C++14."
+                       die "Currently active compiler does not support 
-std=c++14"
+               fi
+       fi
+}
+
+src_prepare() {
+       setup-wxwidgets
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_with dbus) $(use_enable nls locales) \
+               --with-pugixml=system \
+               --disable-autoupdatecheck
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to